#include "chil_global.h"

int CHILPrintfDefault(const char *format, ...) {
	int status;
	va_list ap;
	va_start(ap, format);
	status = vfprintf(stderr, format, ap);
	va_end(ap);
	return status;
}

int (*CHILPrintf) (const char *, ...) = CHILPrintfDefault;

void CHILSetPrintfFunction(int (*printf_function) (const char *format, ...)) {
	CHILPrintf = printf_function;
}
